summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_import.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/opengnsys_import.sh')
-rwxr-xr-xinstaller/opengnsys_import.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/installer/opengnsys_import.sh b/installer/opengnsys_import.sh
index 0962e34b..d49c3312 100755
--- a/installer/opengnsys_import.sh
+++ b/installer/opengnsys_import.sh
@@ -278,7 +278,7 @@ if ! [ -r $BACKUPFILE ]; then
fi
# Comprobamos acceso a ficheros de configuraciĆ³n
-if ! [ -r $OPENGNSYS/etc/ogserver.cfg ]; then
+if ! [ -r $OPENGNSYS/etc/ogserver.json ]; then
echo "$PROG: ERROR: Sin acceso a la configuraciĆ³n de OpenGnsys." | tee -a $FILESAL
exit 3
fi
@@ -333,7 +333,8 @@ fi
# MYSQL
echo " * Importamos informacion mysql."
-source $OPENGNSYS/etc/ogserver.cfg
+source $OPENGNSYS/lib/ogfunctions.sh || exit 1
+source_json_config $OPENGNSYS/etc/ogserver.json
# Crear fichero temporal de acceso a la BD
if [ ! -r $MYCNF ]; then
chmod 600 $MYCNF